Group: Development/Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:           sblim-cmpi-devel
Version:        2.0.3
Release:        alt2_30
Summary:        SBLIM CMPI Provider Development Support

License:        EPL-1.0
URL:            http://sblim.wiki.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
# Source1: macro definitions
Source1: macros.sblim-cmpi-devel

# Patch0:       remove version from docdir
Patch0:         sblim-cmpi-devel-2.0.3-docdir.patch
BuildRequires:  gcc
Source44: import.info
Requires: rpm-macros-sblim-cmpi-devel = %{version}-%{release}


%description
This packages provides the C and C++ CMPI header files needed by
provider developers and can be used standalone. If used for
C++ provider development it is also necessary to have
tog-pegasus-devel installed.

%package -n libcmpiCppImpl0
Group: Development/Other
License:        EPL
Summary:        CMPI C++ wrapper library
Conflicts:      tog-pegasus-libs
BuildRequires:  gcc-c++

%description -n libcmpiCppImpl0
This packages provides the C++ wrapper library for CMPI development


%package -n rpm-macros-sblim-cmpi-devel
Summary: Set of RPM macros for packaging sblim-cmpi applications
Group: Development/Other
BuildArch: noarch

%description -n rpm-macros-sblim-cmpi-devel
Set of RPM macros for packaging sblim-cmpi applications for ALT Linux.
Install this package if you want to create RPM packages that use sblim-cmpi.

%prep
%setup -q
%patch0 -p1 -b .docdir

%build
%configure
%make_build

%install
%makeinstall_std
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
# install macro definitions
mkdir -p $RPM_BUILD_ROOT%{_rpmmacrosdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%_rpmmacrosdir/sblim-cmpi-devel



%files
%doc AUTHORS COPYING README
%{_includedir}/cmpi

%files -n libcmpiCppImpl0
%{_libdir}/libcmpiCppImpl.so*

%files -n rpm-macros-sblim-cmpi-devel
%_rpmmacrosdir/*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2.0.3-alt2_30
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.0.3-alt2_29
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.0.3-alt2_27
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.0.3-alt2_26
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.0.3-alt2_25
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.0.3-alt2_23
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.0.3-alt2_22
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt2_21
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_21
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_20
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_19
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_18
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_17
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_15
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_10
- update to new release by fcimport

* Mon Nov 09 2015 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_9
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_6
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_5
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_4
- update to new release by fcimport

* Wed Jul 31 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_3
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_2
- initial fc import

